
Revision 1507
-------------------
수정일 : 2020-10-05
수정자 : 유희곤

- CHG: FreeBSD 12.x 컴파일시 발생하는 warning 코드 수정 (#33225)
       - FreeBSD 12.x 의 gcc 9.3 컴파일시 sprintf 사용 관련 buffer size 문제로 warning 발생
       - flow 상으로는 buffer overflow 발생 가능성 없지만.. 컴파일시마다 warning 발생하여 수정 처리
       - 수정파일: ArecaWrapper.cpp


Revision 1489
-------------------
수정일 : 2020-01-10
수정자 : 유희곤

- BUG: 불필요 "Battery Module Failed" event 미전송 관련 버그 수정 (#32911)
       - 실제로 Module 단어와 Failed 단어 사이에 공백이 3개 존재
       - 이로 인해 해당 event 가 계속 전송되는 상황 발견됨
       - 이에 Battery Module" check 후 Failed 문자열 check 하도록 수정
       - 수정파일: Child.cpp


Revision 1472
-------------------
수정일 : 2019-09-16
수정자 : 유희곤

- CHG: HTTP 관련 줄바꿈문자 LF->CR+LF 변경 (#32794)
       - CVE-2016-8743 이슈에 따라 Apache 2.2.32 버전부터 HTTP header 상에서
       - 줄바꿈문자가 CR+LF 가 아닌 경우 HTTP 400 응답 발생
       - 특히 최신 GMS 와 연동시 Apache 최신 버전 설치로 이와 같은 문제 발생 가능
       - 이를 해결하기 위해 기존 줄바꿈 문자 \n -> \r\n 으로 변경처리
       - 수정파일: SmsSender.cpp

- CHG: version info 변경
       - version 3.4.0 => 3.5.0

- NEW: 불필요 "Battery Module Failed" evnet 는 운영자에게 전송하지 않도록 수정 (#32795)
       - 운영자 요청으로 RAID event 중 "Battery Module Failed" event 는
       - 운영자에게 notify 되지 않도록 수정
       - 수정파일: Child.cpp


Revision 1336
-------------------
수정일 : 2016-1-22
수정자 : 노경민

- BUG: 초기화 실패 및 수집된 모든 이벤트 전송 불가
	- 내부적으로 사용하고 있는 자료 구조에 접근 문제 
	- 메세지 생성 버퍼에 대한 overflow


Revision 1317
-------------------
수정일 : 2015-12-29
수정자 : 노경민

- BUG: 비정상 종료 현상
	- 이벤트 SMS 장비로 전송 중 비정상 종료 현상 발생
	- list에 대한 컨트롤 로직에서 잘못된 포인트 참조 발생

- BUG: 실행 불가능
	- FreeBSD 6.2 장비에 동작하지 않는 버그
	- 현재 적용된 Araca library 문제
	- Revision 0970 적용 처리
	- FreeBSD 10.x 정동 동작 확인 (version 1.20.00.28 2013-09-13 까지 정상 동작 확인)

- BUG: 이벤트 타임 오류
	- Araca library에서 리턴되는 타임을 time_t로 변경 중 오류 발생

- BUG: 발생된 메일에 이벤트 로그 미출력
	- GMS 장비에 UDP receive size 문제
	- send size 1400 byte 변경함 

- CHG: 추가 수정
	- 로그 객체 변경
	- 코어 덤프 설정 로직 삭제
	- 소켓 객체 변경
	

Revision 1210
-------------------
수정일 : 2015-06-26
수정자 : 김오종

- BUG: 일부 장비에서 areca event를 정상적으로 가져오지 못하는 현상 수정 필요
       - event lelvel 별로 event 수집의도로 작성된 코드가 의미 없어서 제거처리 함(ArecaWrapper.cpp)
	   
Revision 1097
-------------------
수정일 : 2014-10-28
수정자 : 김오종

- CHG: raid card의 이벤트 중 메세지가 정의 되지 않은 이벤트 발생시 데몬이 죽는 현상 발생
       - 이벤트 메세지 정의가 되어 있지 않은 경우에 대한 처리 추가(ArecaWrapper.cpp)

Revision 1095
-------------------
수정일 : 2014-10-22
수정자 : 유희곤

- CHG: GMS 에서 사용하는 arcmond_client 관련 수정
       - httpd error_log 상에 불필요한 로그 발생 코드 수정 ( Client.cpp)
       - gmake client
       - GMS 에서만 필요한 binary 로서 실제 arcmond 와는 연관 없음.
       - 따라서 binary tagging 등의 작업은 수행 안함.


Revision 1093
-------------------
수정일 : 2014-10-17
수정자 : 김오종

- CHG: version info 변경
       - version 3.3.0 => 3.4.0

Revision 1092
-------------------
수정일 : 2014-10-17
수정자 : 김오종

- CHG: external library 현행화
       - http://www.areca.com.tw/support/main.htm
       - http://www.areca.us/support/download/API/20130320-342.zip 

Revision 0970
-------------------
수정일 : 2014-03-27
수정자 : 신순영

- CHG: Makefile 파일 수정
       - FreeBSD 버전 상관없이 무조건 환경설정을 util.conf 를 로딩하도록 수정


Revision 0967
-------------------
수정일 : 2014-03-17
수정자 : 신순영

- CHG: Makefile 파일 수정
       - FreeBSD 10.x 에서 환경설정을 util.conf 를 로딩하도록 처리

- CHG: 기타
       - GCC 버전업에 따른 warning 발생 관련 Makefile 상에서 -Wimplicit 옵션 제거
       - 기존 3.1.0 -> 3.3.0 으로 버전 변경 처리


Revision 0901
-------------------
수정일 : 2013-10-18
수정자 : 김오종

- CHG: gms web에서 전체 message를 수신할수 없는 상태인것을 확인했으나 gsm web 수정보다는 최근 100건만 보내는 것으로 해결 함.
       - UdpListener.cpp 의 CUdpListener::Execute() 함수 내에서 수정

Revision 0674
-------------------
수정일 : 2012-02-09
수정자 : 신순영

- BUG: lib/Logger.cpp 파일 수정
       - gcc 4.4.5 버전에서 발생하는 parameter type에 따른 문제 수정

- CHG: Makefile 상의 버전정보 관리 방법 변경
        - 목표 버전 변경으로 인한 ver 3.1.0 으로 변경


Revision 0673
-------------------
수정일 : 2012-02-09
수정자 : 신순영

- BUG: lib/Config.h 파일 수정
       - gcc 4.4.5 버전에서 발생하는 parameter type에 따른 문제 수정

- CHG:  
    1. 컴파일시 불필요한 warning 제거


Revision 0585
-------------------
수정일 : 2011-07-27
수정자 : 장희준

- CHG: Make 파일 수정
       - AutoDisableUpload.o 추가


Revision 0584
-------------------
수정일 : 2011-07-27
수정자 : 장희준

- ADD: 자동 업로드 방지 기능 추가
       - AutoDisableUpload.h AutoDisableUpload.cpp 파일 추가
       - Child.cpp 파일의 ChildMain()에서 자동 업로드 방지 기능 호출 
       - 자동 업로드 방지 이벤트 대상은 아래와 같음.
       - Volume Degraded, RaidSet Degraded, Rebuild RaidSet, Device Failed, Start Rebuilding


Revision 0529
-------------------
수정일 : 2011-05-03
수정자 : 유희곤

- BUG: lib/BaseSocket.cpp ConversionAddr() 함수 수정
       - ConversionAddr() 함수에서 gethostbyname() 함수 사용으로 인한 Thread-Safe 문제 발생
       - Multi Thread App에서 요청한 장비와 다른 장비로 접속하는 문제가 발견되었으며
       - 이로인해 Contents 전송, 관리 부분에서 문제가 발생할 수 있어 수정 처리함.
       - 본 문제는 Thread Safe 한 getaddrinfo() 함수 사용으로 변경 처리함.


Revision 443
-------------------
수정일 : 2010-12-03
수정자 : 장희준

arcmond2 revision 정보 중복으로 다시 commit.


Revision 440
-------------------
수정일 : 2010-12-03
수정자 : 장희준

- CHG: Makefile 수정
       - gmake install 시에 Makefile에 install 경로가 없어서 install 경로 설정
       - arcmond.conf을 사용하지 않는데 arcmond.conf을 install 하고 있어서 설정
         파일 install 삭제


Revision 0399
-------------------
수정일 : 2010-11-17
수정자 : 김오종

- BUG: 메모리 leak 발생 가능 함수 수정.
       - CArecaWrapper::GetEvent() 함수와 CArecaWrapper::DiscoveryDevice()함수 수정.
       - Logging 메세지 철자 수정.

- CHG: Makefile 상의 버전정보 관리 방법 변경
        - 목표 버전 변경으로 인한 ver 3.0.1 로 변경

Revision 0322
-------------------
수정일 : 2010-08-02
수정자 : 김오종

- BUG: CBaseSocket::Read() 함수상의 문법관련 버그 수정
       - 156 Line상의 잘못된 대입 연산자를 비교연산자로 수정처리.

Revision 0307
-------------------
수정일 : 2010-07-12
수정자 : 김오종

- CHG:  
    1. Revision 306 커밋 이슈와 관련된 부분에서 REPEAT_ALLOW_TIME 60을 제거.
       - 불필요한 DEBUG 옵션에서 반복된 메세지처리 시간을 제거처리 함. 

Revision 0306
-------------------
수정일 : 2010-07-12
수정자 : 김오종

- CHG:  
    1. makefile내용 변경. 
        - 기본 DEBUG로 커밋되어 있어 실수 유발가능성이 있다.

Revision 0301
-------------------
수정일 : 2010-07-08
수정자 : 김오종

- BUG:  
    1. arcmond_client 요청에 대한 udp response에서 마지막 한 byte가 누락 되는 버그 수정.

Revision 0294
-------------------
수정일 : 2010-07-05
수정자 : 김오종

- BUG:  
    1.NO EVENT 송신 시에 첫 번째 필드가 '0'으로 보내져야 정상상황에서 이벤트가 없는 것으로 판단됨. 
    최종적으로 php소스에서 '0'이 오면 정상으로 처리 중인 것을 확인.
        - 첫 번째 필드를 '1'=>'0' 으로 변경.
    2.UDP 송신함수인CUdpListener::SendMsg()함수 버그 발견. 
        - 해당 함수 호출시 두 번째 인자는 메세지의 길이를 입력해야함에도 불구하고, szSendBuffer사이의 기본크기를 인자로사용 함.
            => 두 번째 인자를 strlen(szSendBuffer) 로 변경 함.
        - 해당 함수내에 전송요청한 바이트만큼 확인하는 코드에서 do~ while문의 조건을 (nWrite >= 0) 으로 사용하여 마지막에 한 byte가 더 전송됨을 확인 함.
            => (nWrite >= 0) 를 (nWrite > 0)로 변경 함.


Revision 0293
-------------------
수정일 : 2010-07-02
수정자 : 김오종

- BUG:  - conf 파일의 디폴트 값을 가져오는 부분에서 clear()하지 않아 영향이 있었음.

Revision 0288
-------------------
수정일 : 2010-07-02
수정자 : 김오종

- NEW: SVN 신규 등록
        - 필요파일 누락으로 추가 함.
            -> libarclib32.a, libarclib64.a

Revision 0287
-------------------
수정일 : 2010-07-02
수정자 : 김오종

- NEW: SVN 신규 등록
       - 기존 svn://211.38.137.33/work/trunk/raidmond 에 존재하는 개발 완료 소스 (Rev 987)를 SVN 에 정식버전으로 등록함.
       - 본 버전은 개발 및 성능 테스트를 완료한 버전으로 areca raid card의 상태를 모니터링하는 기능을 함.
       - 단 현재 버전은 FreeBSD 5.4, 6.2 버전상에서만 테스트되었으며 다른 OS 로 포팅 처리시 코드를 재확인해야 함.

- NEW: History 저장을 위한 Changelog.txt 파일 추가
       - 앞으로 각 작업에 대한 로그를 확인하도록 Changelog.txt 파일을 추가

